import processing.serial.*;

Serial serial;
int input;
int[] data;

void setup() {  
  size(400,400);
  
  serial = new Serial( this, Serial.list()[0], 9600 );  
  data = new int[width];
}

void draw() {
  background(0);  
  strokeWeight(2);
  
  int zeropos = 300;  
  stroke(255,0,0);
  line( 0, zeropos, width, zeropos );

  stroke(0,255,0);  
  for (int x=0; x<data.length-1; x++) {
    line( x, zeropos-data[x], x+1, zeropos-data[x+1] );
  }  
}

void serialEvent(Serial port) {
  input = port.read();  
  for (int i=0; i+1<data.length; i++) {
    data[i] = data[i+1];
  }
  data[data.length-1] = input;
}

