import processing.serial.*;

Serial serial;
float scale = 2.0;

void setup() {  
  size( int(180*scale), 300);  
  serial = new Serial( this, Serial.list()[0], 9600 );
}

void draw() {
  background(0);

  stroke(255);
  strokeWeight(10);
  line( mouseX, 0, mouseX, height);  

  int angle = (int)(mouseX/scale);
  serial.write(angle);

  fill(0,255,0);  
  textSize(40);
  text( angle+"[deg]", 10, 50 );
}
